// File automatically generated by ESPAM

#ifndef C2_H
#define C2_H
#include "csdfNode.h"
#include <map>

class C2 : public csdfNode{
public:
    C2();
    virtual ~C2();

    void main(void *threadarg) override;
    // specific const parameters definition
    std::map<std::string,int> int_params;
  const int neurons = 3;

  //FIFO sizes
    int IP0_fifo_size;
    int OP1_fifo_size;

  const int input_dims = 3;
  //input array definition
    const int input_dim_0 = 4;
    const int input_dim_1 = 5;
    const int input_dim_2 = 16;
    int input[4][5][16] = {{{0}}};

  const int output_dims = 3;
  //output array definition
    const int output_dim_0 = 3;
    const int output_dim_1 = 1;
    const int output_dim_2 = 4;
    int output[3][1][4] = {{{0}}};

  //weights array definition
    const int weights_dim_0 = 3;
    const int weights_dim_1 = 4;
    const int weights_dim_2 = 5;
    const int weights_dim_3 = 5;
    int weights[3][4][5][5] = {{{{0}}}};

//const parameters
  const int k_h = 5;
  const int k_w = 5;
  const int stride = 3;
  //specific node parameters and functions
};
#endif // C2_H
